org.apache.ignite.internal.visor.cache

## Class VisorCacheV3

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCache
  - - org.apache.ignite.internal.visor.cache.VisorCacheV2
    - - org.apache.ignite.internal.visor.cache.VisorCacheV3

All Implemented Interfaces:
  Serializable, LessNamingBean

Deprecated.
Needed only for backward compatibility.

    public class VisorCacheV3
    extends VisorCacheV2

Data transfer object for `IgniteCache`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheV3()` Deprecated.

### Method Summary

Methods
`Collection<GridTuple3<Integer,Long,Long>>` `backupPartitionsOffheapSwap()` Deprecated. Needed only for backward compatibility.
`Collection<GridTuple3<Integer,Long,Long>>` `primaryPartitionsOffheapSwap()` Deprecated. Needed only for backward compatibility.

### Methods inherited from class org.apache.ignite.internal.visor.cache.VisorCacheV2

`from, history, initHistory, near`

### Methods inherited from class org.apache.ignite.internal.visor.cache.VisorCache

`backupPartitions, dhtSize, dynamicDeploymentId, estimateMemorySize, indexesSize, memorySize, metrics, mode, name, name, nearSize, offHeapAllocatedSize, offHeapEntriesCount, partitionMap, partitions, primaryPartitions, primarySize, size, swapKeys, swapSize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheV3

    public VisorCacheV3()

Deprecated.

### Method Detail

#### primaryPartitionsOffheapSwap

    public Collection<GridTuple3<Integer,Long,Long>> primaryPartitionsOffheapSwap()

Deprecated. Needed only for backward compatibility.

#### backupPartitionsOffheapSwap

    public Collection<GridTuple3<Integer,Long,Long>> backupPartitionsOffheapSwap()

Deprecated. Needed only for backward compatibility.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016